OAuth Authentication
Refresh Token
It is necessary to package the data in the parameter table into JSON strings and use rsa for parameter encryption and signature as data and sign in the body
POST
/
platformapi
/
chainup
/
open
/
auth
/
refreshToken
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/auth/refreshToken
{
"code": "",
"msg": "",
"data": {
"openId":"4dbca5afca8a46f48d863d18bsdd644731",
"expireIn":"",
"refreshToken":"4dbca5afca8a46f48d863d18bsdd644731",
"token":"2ae04ed9165624419bad68e9e0f3f29fbd".
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
refreshToken
string
requiredThe "refresh_token" received when obtaining the token.
Example: 4dbca5afca8a46f48d863d18bsdd644731
token
string
requiredThe token previously authorized before.
Example: 2ae04ed9165624419bad68e9e0f3f29fbd
openId
string
requiredThe unique openId of the authorized user belonging to the merchant.
Example: 4dbca5afca8a46f48d863d18bsdd644731
Response
200 - application/json
code
string
Return code
msg
string
Success or failure message
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/auth/refreshToken
{
"code": "",
"msg": "",
"data": {
"openId":"4dbca5afca8a46f48d863d18bsdd644731",
"expireIn":"",
"refreshToken":"4dbca5afca8a46f48d863d18bsdd644731",
"token":"2ae04ed9165624419bad68e9e0f3f29fbd".
}
}